# TdApi.GetChatInviteLinkMembers (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: GetChatInviteLinkMembers

Package it.tdlight.jni

# Class TdApi.GetChatInviteLinkMembers

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.GetChatInviteLinkMembers

Enclosing class:
  TdApi

    public static class TdApi.GetChatInviteLinkMembers
    extends TdApi.Function

Returns chat members joined a chat by an invite link. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `ChatInviteLinkMembers`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Chat identifier.
`static int` | `CONSTRUCTOR` |
`String` | `inviteLink` | Invite link for which to return chat members.
`int` | `limit` | The maximum number of chat members to return.
`TdApi.ChatInviteLinkMember` | `offsetMember` | A chat member from which to return next chat members; pass null to get results from the beginning.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`GetChatInviteLinkMembers()` | Returns chat members joined a chat by an invite link.
`GetChatInviteLinkMembers​(long chatId, String inviteLink, TdApi.ChatInviteLinkMember offsetMember, int limit)` | Returns chat members joined a chat by an invite link.
`GetChatInviteLinkMembers​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### inviteLink

public String inviteLink
Invite link for which to return chat members.

### offsetMember

public TdApi.ChatInviteLinkMember offsetMember
A chat member from which to return next chat members; pass null to get results from the beginning.

### limit

public int limit
The maximum number of chat members to return.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### GetChatInviteLinkMembers

public GetChatInviteLinkMembers()
Returns chat members joined a chat by an invite link. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `ChatInviteLinkMembers`

### GetChatInviteLinkMembers

public GetChatInviteLinkMembers​(long chatId, String inviteLink, TdApi.ChatInviteLinkMember offsetMember, int limit)
Returns chat members joined a chat by an invite link. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `ChatInviteLinkMembers`

Parameters:
  `chatId` - long Chat identifier.
  `inviteLink` - String Invite link for which to return chat members.
  `offsetMember` - ChatInviteLinkMember A chat member from which to return next chat members; pass null to get results from the beginning.
  `limit` - int The maximum number of chat members to return.

### GetChatInviteLinkMembers

public GetChatInviteLinkMembers​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`